#!/bin/bash
sudo -u tux xhost + >/dev/null
lang=$(echo $LANG | awk -F\_ '{print $1}')
case $lang in
	de)
        export text11="Möchten Sie den Versuch einer automatischen Reparatur starten?<br>Es wird versucht, das System auf die TUXEDO Standard Einstellungen zurückzusetzen.<br>Es werden im Vorfeld einige Abfragen erscheinen."
        export text16="Neue Version installiert, bitte starten sie das Script neu."
        export text17="Kein Internet verfügbar. Bitte stellen SIe sicher, dass das System mit dem Internet verbunden ist."
        export text18="Rootrechte benötigt! Bitte führen sie dieses Script als Root aus."
        export text19="Prüfe, ob eine neuere Version verfügbar ist und installiere diese."
        export text20="Etwas ging schief, es wurde kein Logfile geschrieben.<br>Bitte wenden Sie sich an unseren Support"
        ;;
    *)
        export text11="Would you like to attempt an automatic repair?<br>An attempt will be made to reset the system to the TUXEDO default settings.<br>A few queries will appear in advance."
        export text16="New version installed, please restart that script to use the new version."
        export text17="No Internet available. Please make sure that the system is connected to the Internet."
        export text18="Root rights required! Please run this script as root."
        export text19="Check if a newer version is available and install it."
        export text20="Something went wrong, no log file was written.<br>Please contact our Support"
        ;;
esac

if [ "$EUID" -ne 0 ]
    then kdialog --error "$text18" 2>/dev/null
    exit 0
fi

kdialog --warningyesno "<p><font size=4>$text11</font>&nbsp;&nbsp;&nbsp;</p>" 2> /dev/null
res=$?
case $res in
	0)
		echo ""
		;;
	*)
		exit 0
		;;
esac

wget -q --spider https://tuxedocomputers.com
if [ ! $? -eq 0 ]; then
    kdialog --error "$text17" 2>/dev/null
    exit 0
fi

#update_task() {
#apt-get update > /dev/null
#apt-get -y install bash -s
#}
#update_task | zenity --progress --title="Update..." --text="$text19" --pulsate --no-cancel --auto-close 2>/dev/null

cd /

/bin/automated_repair.sh 2>&1 | tee /repair-live.log

if [ -e /tmp/cancel ]
    then
    rm -f /tmp/cancel
    exit 0
fi
if [ "$(cat /repair-live.log)" ] && [ ! -e /tmp/sysinfo ]; then
    /opt/repair_script/upload-log.sh
else
    kdialog --msgbox "<font size=4>$text20</font>" 2>/dev/null
    exit 255
fi
exit 0

